Bug 173214 - [PATCH] mail/vexim: update to 2.2.2
Summary: [PATCH] mail/vexim: update to 2.2.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-10-30 13:40 UTC by Mark Felder
Modified: 2012-11-03 13:13 UTC (History)
0 users

See Also:


Attachments
vexim-2.2.2.patch (2.44 KB, patch)
2012-10-30 13:40 UTC, Mark Felder
no flags Details | Diff
vexim-2.2.2.patch2 (2.49 KB, application/octet-stream)
2012-10-30 13:53 UTC, Mark Felder
no flags Details
vexim-2.2.2.r1.patch (3.02 KB, patch)
2012-10-30 14:24 UTC, Mark Felder
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Felder freebsd_committer 2012-10-30 13:40:00 UTC
- Update to 2.2.2

Vexim 2.2.2rc1 was released in May 2010 with some serious security fixes.
It was never listed on their main website for some reason and never finalized even
though they said they would re-roll it into a final release. Vexim development/maintainer
has been dead for years, so this is not surprising.

FreeBSD ports should be have this version which closes these security holes.

I'm posting this patch with the version simply as "2.2.2" not mentioning the rc1 status of this tarball.

https://redports.org/buildarchive/20121030132628-28143/

Generated with FreeBSD Port Tools 0.99_6 (mode: update, diff: suffix)
Comment 1 Edwin Groothuis freebsd_committer 2012-10-30 13:40:10 UTC
Responsible Changed
From-To: freebsd-ports-bugs->swills

swills@ wants his PRs (via the GNATS Auto Assign Tool)
Comment 2 Mark Felder freebsd_committer 2012-10-30 13:53:28 UTC
Whoops, previous patch broke the OptionsNG DOCS -- see attached
Comment 3 Chris Rees freebsd_committer 2012-10-30 14:00:04 UTC
State Changed
From-To: open->suspended

Submitter requested a hold
Comment 4 Mark Felder freebsd_committer 2012-10-30 14:24:06 UTC
after talking to crees we came up with these changes to make it stay 2.2.2_rc1

I also added a change so variables.php (main config file) does not get overwritten with each port update/reinstall.

https://redports.org/buildarchive/20121030141720-46427/
Comment 5 Mark Felder freebsd_committer 2012-11-01 14:28:08 UTC
This can be unsuspended and processed. The previous patch I provided is final.
Comment 6 Steve Wills freebsd_committer 2012-11-03 13:09:44 UTC
State Changed
From-To: suspended->open

Patch is OK
Comment 7 Steve Wills freebsd_committer 2012-11-03 13:13:34 UTC
State Changed
From-To: open->closed

Committed. Thanks!